Recent Posts

Pages: 1 2 [3] 4 5 ... 10
21
Yes, this works fine! - but in Autocad this function makes it possible to make much more than  just inserting a block.

So, if for example a line, point or something future input should work with the half lisp function of cause every input (line, rectangle, circle, point, xline an so on) has to get its on Half.lsp or m2p..... much work...
22
Copy this to m2p.lsp file

(Defun HALF (/ a b)
(SETQ A (GETPOINT "\nFirst Point ")
B (GETPOINT A "\nOther Point "))
(POLAR A (ANGLE A B)(/ (DISTANCE A B) 2)))
(defun c:m2p (/)
(command "insert" "b1" (half) 1.0 0.0))


Block named 'b1' must exists in drawing before starting command 'm2p' in BabaCAD. I've tested this lisp with success.
23
Hello babadmin,
I did the changes - if I want to insert a block via the half lisp ( selecting two different points for example a point of a rectangle and then another point of another rectangle the block still
inserts on the first selected point - the second point is not being asked for) - the half lisp will not jump into insertion process to takeover the calculation result.

The half lisp program should deliver the coordinats for a start point (object insertion point, line start for example.
Or did I misunderstand the Lisp function.
In Autocad something similar (m2P) makes this work.

Maybe in this could be in the following updates - if it is possible
24
(Defun c:HALF (/ a b)
(SETQ A (GETPOINT "\nFirst Point ")
B (GETPOINT A "\nOther Point "))
(POLAR A (ANGLE A B)(/ (DISTANCE A B) 2)))

then appload, choose half.lsp and type half at command line. That's it.

Updated: I fixed bug in getpoint lisp function (reference point is ok now). Just go download latest Update 2 (21th November late night CETime) from http://www.babacad.com/ext
25
Hello babadmin,
could you please write the changes that have to be written in the lisp file and attach it here? I wrote a c: after defun but unfortunatly not worked.
26
I check it, and it works (one small bug is that first point cursor is 0,0, lisp does not get A point as a start, but it's just visual effect, result of mid point is correct).

You get mid point as list in result of function. Also, to run this as a lisp command in command line you have to add 'c:' in front of HALF function name in this lisp or run as lisp function directly in BabaCAD command line (using brackets), like this (HALF).
27
This is fixed. It's in BabaCAD 2017 Update 2.
28
General discussion about BabaCAD / Re: Simple staircase Lisp
« Last post by babadmin on November 21, 2017, 02:38:41 pm »
Thanks for this lisp. Latest Update of BabaCAD has a lot of improvements. PLINEJOIN now works. You can, for example, after 'esce' lisp command, run PLINEJOIN, select first stair polyline and then select whole stairs (all polylines) to make stairs to be one polyline object. New update also has parallel osnap, circle construct from 2P,3P, tangents and many more. This version (BabaCAD 2017 Update 2) is optimized to work fast with large and complex drawings (with hundreds of thousands of entities).

I fixed many bugs and added many new features in this update (read news list after download). Currently, Update 2 is beta, so it must be downloaded from Extension Modules section - http://www.babacad.com/ext). For a few days, after some tests, it will be available for download from main page (64-bit download).

Now I will have a time to improve lisp interpreter for Update 3. I will try to add more lisp functions and fix existing bugs.
For all users, please attach your working lisps here for other users. Also, if you have lisps that do not work in BabaCAD, please attach them also, and I will try to modify it to get it work in BabaCAD (maybe I find bug in Lisp interpreter and fix it for new Update).
29
General discussion about BabaCAD / Simple staircase Lisp
« Last post by calubax on November 21, 2017, 02:05:19 pm »
Here the simple staircase lisp working fine with Babacad.
To all in the comunity - if you find a Lisp working in Babacad please attach to us
Best wishes to all
30
Hello Babacad team,
I would like to led the program calculate the point (The mid of two points) to insert an object, a block, line or something else in.
Therefor the lisp program (half.lsp) should start in between. For example - I have drawn two rectangles - now I want to insert an objekt right in the middle of two selected points from the two rectangles.

What I found is that the command structure not enables a user input like to led the Lisp program(attached) calculate the point.
Maybe it could be possible (maybe hopefully in this early babacad progamming state with just a few program line changes)

Another Point to all other Babacad users would be that they could if they tell about lisp programs they already succsessful tested with BabaCAD. That could be very helpful for the comunity.
Best wishes to all

Pages: 1 2 [3] 4 5 ... 10